[jetty-dev] Jetty 9.4.13 Released - Supporting JDK 11 bytecode and JPMS

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jetty-dev] Jetty 9.4.13 Released - Supporting JDK 11 bytecode and JPMS

Joakim Erdfelt-8
The Jetty team is happy to announce the immediate availability of a newest release for the Eclipse Jetty 9.4.x branch.

Jetty 9.4.13 includes a significant number of bug fixes and improvements surrounding support for Java 11 runtime and bytecode.
This release also updates ASM to version 7.0 to support Java 11 runtimes and bytecode.
This has a side effect that Apache Aries SpiFly users will need to upgrade their usage of SpiFly to version 1.1 and ASM 7 as well.
Users on Java 11 runtimes and users of HTTP/2 are encouraged to upgrade as soon as they are able.

List of Changes:

This release available on the Eclipse Jetty project download page or from the Maven Central repository:

Documentation for this release can be found on the Eclipse Jetty project site:

If you find any issues with this release, or if you want to suggest future enhancements, please file an issue on the Jetty GitHub page:

Commercial production and development support for Jetty is offered through Webtide (www.webtide.com). Please contact us for more information or email [hidden email] to discuss your specific needs.

Best Regards,

The Jetty Development Team

_______________________________________________
jetty-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/jetty-dev